Bug 460331 - openldap-server's migrate_automount.pl produces obsolete output
openldap-server's migrate_automount.pl produces obsolete output
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Zeleny
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 12:26 EDT by Habig, Alec
Modified: 2012-10-15 04:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to /usr/share/openldap/migration/migrate_automount.pl (1.22 KB, patch)
2008-08-27 12:26 EDT, Habig, Alec
no flags Details | Diff

  None (edit)
Description Habig, Alec 2008-08-27 12:26:27 EDT
Created attachment 315119 [details]
patch to /usr/share/openldap/migration/migrate_automount.pl

The script /usr/share/openldap/migration/migrate_automount.pl shipped in openldap-servers-2.3.27-8.el5_2.4.i386 does not produce ldap entries which the autofs version included (autofs-5.0.1-0.rc2.88.i386) knows how to deal with.  The attached patch fixes this script to be compatible with what redhat's autofs expects, provided slapd includes the (also already included) /etc/openldap/schema/redhat/autofs.schema
Comment 1 RHEL Product and Program Management 2009-03-26 13:07:06 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 Jan Zeleny 2009-11-16 04:50:49 EST
Patch is in CVS, changing status to MODIFIED.
Comment 5 Ondrej Moriš 2010-03-01 07:31:29 EST
RHTS test proposed, see QA Whiteboard.
Comment 6 Ondrej Moriš 2010-03-02 09:39:52 EST
Successfully verified via RHTS.

* RHEL5.5-Server-20100225.0 (i386, x86_64, ppc, ia64, s390x)
* RHEL5.5-Client-20100225.0 (i386, x86_64)
Comment 8 errata-xmlrpc 2010-03-30 04:05:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0198.html

Note You need to log in before you can comment on or make changes to this bug.